> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Get the status of an asynchronous list users operation

`GET /api/web/v4/async/userspaged/{id}/status`

Get the status of an asynchronous list users operation. Caller requires the USERS:VIEW permission.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| id | path | Yes | string | The UUID of the search operation whose status is be fetched. |

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "required": [
    "id",
    "state"
  ],
  "type": "object",
  "properties": {
    "errorMessage": {
      "type": "string",
      "description": "The error message describing the first error encountered processing the operation."
    },
    "id": {
      "type": "string",
      "description": "The unique UUID of the operation. Used to get status and results of operation."
    },
    "initTime": {
      "type": "string",
      "description": "The time this operation was initialized.",
      "format": "date-time",
      "example": "2019-02-19T13:15:27Z"
    },
    "name": {
      "type": "string",
      "description": "The name of the operation. It can be null for operations not named."
    },
    "processingEndTime": {
      "type": "string",
      "description": "The time at which the operation completed processing.",
      "format": "date-time",
      "example": "2019-02-19T13:15:27Z"
    },
    "processingStartTime": {
      "type": "string",
      "description": "The time at which the operation began processing.",
      "format": "date-time",
      "example": "2019-02-19T13:15:27Z"
    },
    "processingTime": {
      "type": "integer",
      "description": "How long the operation took to complete processing in milliseconds.",
      "format": "int64"
    },
    "state": {
      "type": "string",
      "description": "The state of the operation.",
      "enum": [
        "FAILED",
        "CANCELLED",
        "COMPLETED",
        "PROCESSING",
        "SCHEDULED"
      ]
    },
    "subject": {
      "type": "string",
      "description": "The subject of this operation."
    }
  },
  "description": "Status of an asynchronous search request.",
  "title": "AsyncOperationStatus"
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "USERS:VIEW"
    ]
  }
]
```
